Package com.xceptance.xlt.api.actions

# Class ElementMissingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.xceptance.xlt.api.actions.ElementMissingException

All Implemented Interfaces:
  `Serializable`

public class ElementMissingException extends Exception
Indicates a missing condition when loading a page. For instance a missing element we can click on.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElementMissingException()`
  Default constructor.
  `ElementMissingException(String message)`
  Creates a new exception using the given message.
  `ElementMissingException(String message, Throwable cause)`
  Creates a new exception using the given exception message and cause.
  `ElementMissingException(Throwable cause)`
  Creates a new exception using the given throwable instance.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ElementMissingException

    public ElementMissingException()
    Default constructor.

  - ### ElementMissingException

    public ElementMissingException(String message)
    Creates a new exception using the given message.
    Parameters:
      `message` - exception message to use

  - ### ElementMissingException

    public ElementMissingException(Throwable cause)
    Creates a new exception using the given throwable instance.
    Parameters:
      `cause` - cause of this exception

  - ### ElementMissingException

    public ElementMissingException(String message, Throwable cause)
    Creates a new exception using the given exception message and cause.
    Parameters:
      `message` - exception message
      `cause` - cause of this exception